/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service interface for checking multiple service invocations
 * of a stateless Java implementation
 */
@Remotable
public interface MultipleService {
	
	/**
	 * Methods for invoking the service implementation and getting back a result
	 * which indicates whether the implementation instance was invoked more than
	 * once through any of its service operations
	 * @param input - input parameter(s) as a String
	 * @return - output data as an int:
	 * 0 = instance was not invoked more than once through any operation
	 * n = instance was invoked (n+1) times
	 */
	public int operation1( String input );
	
	public int operation2( String input );
	
	public int operation3( String input );
	
	public int operation4( String input );
	
	public int operation5( String input );
	
	public int operation6( String input );
	
	public int operation7( String input );
	
	public int operation8( String input );
	
	public int operation9( String input );
	
	public int operation10( String input );

}
