/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.xml.ws.WebServiceProvider;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation
 * 1 service with interface "Service1" indicated via a JAXWS @WebServiceProvider annotation
 * 0 references
 *
 */
@WebServiceProvider()
public class Service1JWSWebServiceProviderImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}
	
	/**
	 * An extra public method which is not in the Service1 interface - used to distinguish between
	 * a service based on this class as an interface and the Service1 interface
	 * @param input 
	 * @return a String
	 */
	public String operation2( String input ) {
		return serviceName + " operation2 invoked";
	}

}
