/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1NoRemotable;


/**
 * Java component implementation
 * 1 service with interface Service1NoRemotable (which is not annotated with @Remotable)
 * 0 references
 *
 * Class is itself annotated with @Remotable
 *
 */
@Remotable
@Service(Service1NoRemotable.class)
public class Service1NoRemotableImpl implements Service1NoRemotable {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
