/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation with
 * 1 service with interface Service1, no @Service annotation
 * 0 references
 * 1 property with the name "dateProperty"
 * The class has no @Property annotations and no @Reference annotations but it has a setter method
 * which has a parameter which is a Collection not typed by an interface which has a @Remotable annotation
 */
public class Service1UnannotatedManyPropertySetterImpl implements Service1 {
	
	private String serviceName = "service1";
	private Collection<Date> theDates = null;

	public String operation1(String input) {
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss");
		String result = "";
		for( Date theDate : theDates ) {
			result += " " + formatter.format(theDate);
		} // end for

		return serviceName + " operation1 invoked" + result;
	}
	
	/**
	 * Setter for a property with the name "serviceName"
	 * @param aServiceName - the service name
	 */
	public void setServiceName( String aServiceName ) {
		serviceName = aServiceName;
	}
	
	/**
	 * Setter for a property with the name "dateProperty"
	 * @param aDate - a date
	 */
	public void setDateProperty( Collection<Date> Dates ) {
		theDates = Dates;
	}

}
