/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has a constructor annotated with @Constructor
 *
 */
@Service(Service1.class)
public class service1AnnotatedConstructorImpl implements Service1 {
	
	String constructorMessage = null;
	
	@Constructor
	public service1AnnotatedConstructorImpl() {
		constructorMessage = " @Constructor was invoked";
	}
	
	/**
	 * Constructor with no @Constructor annotation, but with all parameters annotated with
	 * either @Property or with @Reference
	 * @param serviceName
	 */
	public service1AnnotatedConstructorImpl( @Property(name="serviceName") String serviceName ) {
		
	}

	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked" + constructorMessage;
	}

}
