/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8017_TestCase
 * Tests that a POJO implementation class with @Reference annotation on a setter method where the interface type 
 * of the method has no @Remotable annotation but the setter method has a @Remotable annotation, the implementation 
 * has a componentType with a <reference/> element with <interface.java/> set with @interface set to the fully 
 * qualified name of the interface class which types the parameter of the setter method and the @remotable attribute set to "true"
 */
public class POJO_8017_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8017";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8017 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8017
